@use "../../../../../../styles/variables/colorsFacebook.scss";
@use "../../../../../../styles/variables/colors.scss";

.modal__box.modal-box {
    padding: 0;
}

.modal-box {
    width: 50%;
    height: 100%;

    .invite-friend-modal-wrapper {
        width: 100%;
        height: 100%;

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        .invite-friend-modal-header {
            margin-bottom: 10px;
            padding: 10px 0px 10px 0px;
            width: 100%;
            max-height: 30px;
            height: 100%;
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            position: relative;

            p {
                margin-right: 40px;
                margin-bottom: -20px;
                font-size: 20px;
                color: colors.$white;

            }

            .close-icon-wrapper {
                right: -7px;
                top: -10px;
                transform: translate(-50%, 50%);
                position: absolute;
                width: 33px;
                height: 33px;
                border-radius: 16.5px;
                background-color: colorsFacebook.$gray_background-input;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;

                svg {
                    width: 15px;
                    height: 15px;
                    fill: colorsFacebook.$gray_light-text;
                }
            }
        }

        .invite-friend-modal-main {
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;

            .aside-left {
                padding-top: 20px;
                padding-left: 10px;
                width: 60%;
                height: 100%;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: start;
                gap: 5px;
                color: colors.$white;

                .search {
                    max-width: 97%;
                    width: 100%;
                }

                .friends-list {
                    margin-left: 10px;
                    width: 100%;
                    height: 100%;
                    display: flex;
                    flex-direction: column;
                    justify-content: start;
                    align-items: start;

                    .friend-item-wrapper {
                        max-width: 95%;
                        width: 100%;
                        max-height: 50px;
                        height: 100%;
                        display: flex;
                        flex-direction: row;
                        justify-content: space-between;
                        align-items: center;

                        .friend-box {
                            width: 100%;
                            height: 100%;
                            display: flex;
                            flex-direction: row;
                            justify-content: start;
                            align-items: center;

                            .friend-icon {
                                margin-right: 7px;
                                width: 40px;
                                height: 40px;
                                border-radius: 20px;
                                background-color: colorsFacebook.$gray_background-input;
                                display: flex;
                                flex-direction: row;
                                justify-content: center;
                                align-items: center;

                                svg {
                                    margin-left: 1px;
                                    width: 20px;
                                    height: 25px;
                                    fill: colorsFacebook.$gray_light-text;
                                }
                            }
                        }

                        .selector {
                            max-width: 30px;
                            width: 100%;
                            height: 100%;
                            display: flex;
                            flex-direction: row;
                            justify-content: center;
                            align-items: center;

                            svg {
                                width: 24px;
                                height: 24px;
                                stroke: colorsFacebook.$gray_light-text;
                            }

                            .selector-check{
                                width: 30px;
                                height: 30px;
                                position: relative;
                                display: flex;
                                flex-direction: row;
                                justify-content: center;
                                align-items: center;

                                .square {

                                }
                                .check {
                                    width: 15px;
                                    height: 15px;
                                    position: absolute;
                                    top: 20%;
                                    left: 23%;
                                    stroke: colorsFacebook.$gray_light-text;
                                }
                            }
                        }
                    }
                }
            }

            .aside-right {
                max-width: 40%;
                width: 100%;
                height: 100%;
                padding-left: 10px;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                background-color: colors.$bg_body;

                .friends-list {
                    width: 100%;
                    height: 100%;
                    display: flex;
                    flex-direction: column;
                    justify-content: start;
                    align-items: start;

                    .friend-item-wrapper {
                        max-width: 95%;
                        width: 100%;
                        max-height: 50px;
                        height: 100%;
                        display: flex;
                        flex-direction: row;
                        justify-content: space-between;
                        align-items: center;

                        .friend-box {
                            width: 100%;
                            height: 100%;
                            display: flex;
                            flex-direction: row;
                            justify-content: start;
                            align-items: center;

                            .friend-icon {
                                margin-right: 7px;
                                width: 40px;
                                height: 40px;
                                border-radius: 20px;
                                background-color: colorsFacebook.$gray_background-input;
                                display: flex;
                                flex-direction: row;
                                justify-content: center;
                                align-items: center;

                                svg {
                                    margin-left: 1px;
                                    width: 20px;
                                    height: 25px;
                                    fill: colorsFacebook.$gray_light-text;
                                }
                            }
                        }
                    }
                }
            }
        }

        .invite-friend-modal-footer {
            padding-top: 15px;
            padding-bottom: 15px;
            margin-right: 20px;
            width: 100%;
            max-height: 40px;
            height: 100%;
            display: flex;
            flex-direction: row;
            justify-content: end;
            align-items: center;
            gap: 30px;

            .fb-blue.save.active {
                background-color: colorsFacebook.$blue_facebook;
                color: colors.$white;
            }
        }
    }
}

.underline {
    width: 100%;
    margin: 0 40px;
    border-bottom: 1px solid colorsFacebook.$gray_border;
}

.upperline {
    width: 100%;
    margin: 0 40px;
    border-bottom: 1px solid colorsFacebook.$gray_border;
}